Package ru.bitel.oss.kernel.directories.address.server.bean

# Class AreaDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<Area>
ru.bitel.common.dao.AbstractIdDao<Area>
ru.bitel.common.dao.AbstractDirectoryIdDao<Area>
ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao<Area>
ru.bitel.oss.kernel.directories.address.server.bean.AreaDao

All Implemented Interfaces:
  `AutoCloseable`, `Directory<Area>`

public class AreaDao extends AbstractAddressDao<Area>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AreaDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `cityAreaCount(int cityId)`
  `Area`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `Area`
  `get(String title, int cityId)`
  `protected Area`
  `getFromRS(ResultSet rs)`
  `protected String`
  `getQuery()`
  `protected String`
  `getQueryById()`
  `List<Area>`
  `list()`
  Получение всего списка элементов из справочника
  `List<Area>`
  `list(int cityId)`
  `List<Area>`
  `list(int cityId, String title)`
  `protected List<Area>`
  `list(String filter, String orderBy, Object... params)`
  `protected List<Area>`
  `listImpl(Page page, String filter, String orderBy, Object... params)`
  `protected Area`
  `newBean()`
  `void`
  `searchAreaList(SearchResult<Area> searchResult, int cityId, String areaMask)`
  `protected <T> void`
  `searchStreetList(SearchResult<T> searchResult, int cityId, String mask, Function<ResultSet,T> function)`
  `protected void`
  `updateImpl(Area b)`

  ### Methods inherited from class ru.bitel.oss.kernel.directories.address.server.bean.AbstractAddressDao

  `deleteRows, get, getBaseFromRS, getEntityCount`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, opt, update`

- ## Constructor Details

  - ### AreaDao

    public AreaDao(Connection con)

- ## Method Details

  - ### newBean

    protected Area newBean()
    Specified by:
      `newBean` in class `AbstractAddressDao<Area>`

  - ### searchAreaList

    public void searchAreaList(SearchResult<Area> searchResult, int cityId, String areaMask)

  - ### cityAreaCount

    public int cityAreaCount(int cityId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Area getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(Area b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### list

    public List<Area> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<B extends CityItem>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public Area get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<B extends CityItem>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public Area get(String title, int cityId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<Area> list(int cityId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<Area> list(int cityId, String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    protected List<Area> list(String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `list` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listImpl

    protected List<Area> listImpl(Page page, String filter, String orderBy, Object... params) throws ru.bitel.bgbilling.common.BGException, SQLException
    Overrides:
      `listImpl` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.common.dao.AbstractDao<B extends CityItem>`

  - ### getQuery

    protected String getQuery()
    Overrides:
      `getQuery` in class `AbstractAddressDao<B extends CityItem>`

  - ### searchStreetList

    protected <T> void searchStreetList(SearchResult<T> searchResult, int cityId, String mask, Function<ResultSet,T> function)